Module | ActionController::Caching::Pages::ClassMethods
In: | lib/action_controller/caching.rb

### Methods

cache_page caches_page expire_page

### Public Instance methods

cache_page(content, path)

Manually cache the `content` in the key determined by `path`. Example:

      cache_page "I'm the cached content", "/lists/show"

caches_page(*actions)

Caches the `actions` using the page-caching approach that‘ll store the cache in a path within the page_cache_directory that matches the triggering url.

expire_page(path)

Expires the page that was cached with the `path` as a key. Example:

      expire_page "/lists/show"

[Validate]